## python-tatsu 5.13.0+ds2.really.5.12.2

=== debian/changelog ===
python-tatsu (5.13.0+ds2.really.5.12.2-1) unstable; urgency=medium

  * Revert to 5.12.2 for beanquery compatibility.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 14:28:50 -0500

python-tatsu (5.13.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 15:15:13 -0500

python-tatsu (5.12.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1091339)

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2024 20:45:09 -0500
