=== debian/control ===
Source: python-tatsu
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-pytest <!nocheck>,
 python3-pytest-flake8 <!nocheck>,
 python3-pytest-mypy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.0
Homepage: https://github.com/neogeny/TatSu
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu
Rules-Requires-Root: no
Description: PEG/Packrat parser generator for Python
 TatSu is a tool that takes grammars in a variation of EBNF as input,
 and outputs memoizing (Packrat) PEG parsers in Python.

Package: python3-tatsu
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
