## python-tatsu 5.13.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -28,5 +28,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Conflicts:
+ python3-tatsu-lts,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
