## python-tatsu 5.13.1+ds

=== debian/changelog ===
python-tatsu (5.13.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on python3-pytest-flake8 (see #1068502).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 09:44:12 +0000

python-tatsu (5.13.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Conflict with python3-tatsu-lts.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 16:14:06 -0500
