=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-tatsu-$1.tar.gz%,repack,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/neogeny/TatSu/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
