## python-tatsu 5.13.2+ds

=== debian/changelog ===
python-tatsu (5.13.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Oct 2025 14:51:36 -0400
