=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3,
  python3-pytest <!nocheck>,
- python3-pytest-flake8 <!nocheck>,
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
