=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = tatsu

# Artifacts needed for testing
export PYBUILD_BEFORE_TEST=cp -r grammar {build_dir}/

# Garbage generated by testing
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tmp {build_dir}/grammar

%:
	dh $@ --buildsystem=pybuild
