=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-tatsu
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -13,11 +12,10 @@
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/neogeny/TatSu
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu
-Rules-Requires-Root: no
 Description: PEG/Packrat parser generator for Python
  TatSu is a tool that takes grammars in a variation of EBNF as input,
  and outputs memoizing (Packrat) PEG parsers in Python.
