## python-tatsu 5.15.1+ds

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-test:  lint tatsu_test documentation examples
+test:  lint pytest documentation examples
 
 
-tatsu_test: clean
-	pytest
+pytest: clean
+	pytest --cov
 
 
-documentation: clean sphinx
+documentation: sphinx
 
 
 sphinx:
