=== debian/changelog ===
python-tatsu (5.15.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Jan 2026 14:18:24 -0500
