=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  pybuild-plugin-pyproject,
  python3,
  python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
