## python-tatsu 5.16.0+ds

=== debian/changelog ===
python-tatsu (5.16.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Feb 2026 09:58:02 -0500
