=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
+ python3-hatchling,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-mypy <!nocheck>,
- python3-setuptools,
- python3-setuptools-scm,
 Standards-Version: 4.7.3
 Homepage: https://github.com/neogeny/TatSu
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu.git
