## python-tatsu 5.17.1+ds

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --no-group dev --no-hashes --format requirements-txt -o requirements.txt
-e .
