=== debian/changelog ===
python-tatsu (5.17.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 18:00:53 -0500
